<?xml version="1.0" encoding="UTF-8" ?>
<FilterBase version="1.0.0">
	<!-- source filters -->
	<filter
		enable="1"
		name="Gabest (AviSource)"
		fgftype="file" priority="10"
		filtertype="src"
		path="AviSplitter.ax"
		config="1"
		clsid="{CEA8DEFF-0AF7-4DB9-9A38-FB3C3AEFC0DE}" >
		<chkbyte value="0,4,,52494646,8,4,,41564919" />
		<chkbyte value="0,4,,52494646,8,4,,41564920" />
		<chkbyte value="0,4,,52494646,8,4,,41564958" />
		<chkbyte value="0,4,,52494646,8,4,,414D5620" />
	</filter>
	<filter
		enable="1"
		name="Gabest (AviSplitter.ax)"
		fgftype="file" priority="10"
		path="AviSplitter.ax"
		filtertype="splt"
		config="1"
		clsid="{9736D831-9D6C-4E72-B6E7-560EF9181001}" >
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
	</filter>
	<filter
		enable="1"
		name="Gabest (MpegSplitter.ax)"
		fgftype="file" priority="10"
		filtertype="src"
		path="MpegSplitter.ax"
		config="1"
		clsid="{1365BE7A-C86A-473C-9A41-C0A6E82C9FA3}" >
		<chkbyte value="0,16,FFFFFFFFF100010001800001FFFFFFFF,000001BA2100010001800001000001BB" />
		<chkbyte value="0,5,FFFFFFFFC0,000001BA40" />
		<chkbyte value="0,1,,47,188,1,,47,376,1,,47" />
		<chkbyte value="4,1,,47,196,1,,47,388,1,,47" />
		<chkbyte value="0,4,,54467263,1660,1,,47" />
		<chkbyte value="0,8,fffffc00ffe00000,4156000055000000" />
	</filter>
	<filter
		enable="1"
		name="QQ FLV1 Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="FLVSplitter.ax"
		clsid="{C9ECE7B3-1D8E-41F5-9F24-B255DF16C087}" >
		<chkbyte value="0,4,,464C5601" />
	</filter>
	<filter
		enable="1"
		name="Gabest (Mp4Splitter.ax)"
		fgftype="file" priority="10"
		filtertype="src"
		path="Mp4Splitter.ax"
		config="1"
		clsid="{3CCC052E-BDEE-408a-BEA7-90914EF2964B}" >
		<chkbyte value="4,4,,66747970" />
		<chkbyte value="4,4,,6d6f6f76" />
		<chkbyte value="4,4,,6d646174" />
		<chkbyte value="4,4,,736b6970" />
		<chkbyte value="4,12,ffffffff00000000ffffffff,77696465027fe3706d646174" />
		<chkbyte value="3,3,,000001" />
		<ext value=".mov" />
	</filter>
	<filter
		enable="1"
		name="QQ RealMedia Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="RealMediaSplitter.ax"
		clsid="{765035B3-5944-4A94-806B-20EE3415F26F}" >
		<chkbyte value="0,4,,2E524D46" />
		<depend dll="RealMediaSplitter.ax" />
		<depend dll="pncrt.dll" />
		<depend dll="real\\drv2.dll" />
		<depend dll="real\\drvc.dll" />
		<depend dll="real\\14_43260.dll" />
		<depend dll="real\\28_83260.dll" />
		<depend dll="real\\atrc.dll" />
		<depend dll="real\\cook.dll" />
		<depend dll="real\\dnet3260.dll" />
		<depend dll="real\\raac.dll" />
		<depend dll="real\\ralf.dll" />
		<depend dll="real\\sipr.dll" />
	</filter>
	<filter
		enable="1"
		name="QQ DtsAC3 Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="dtsac3source.ax"
		clsid="{B4A7BE85-551D-4594-BDC7-832B09185041}" >
		<chkbyte value="0,4,,7FFE8001" />
		<chkbyte value="0,2,,0B77" />
		<chkbyte value="0,2,,770B" />
		<ext value=".ac3" />
		<ext value=".dts" />
	</filter>
	<filter
		enable="1"
		name="QQ OGG Source Filter"
		fgftype="file" priority="5"
		filtertype="src"
		path="OggSplitter.ax"
		clsid="{6D3688CE-3E9D-42F4-92CA-8A11119D25CD}" >
		<chkbyte value="0,4,,4F676753" />
		<ext value=".ogg" />
	</filter>
	<filter
		enable="0"
		name="Haali Media Splitter(Ogg)"
		fgftype="haali" priority="10"
		filtertype="src"
		path="splitter.ax"
		clsid="{55DA30FC-F16B-49FC-BAA5-AE59FC65F82D}" >
		<components value="mkx.dll" />
		<components value="ogm.dll" />
		<components value="splitter.ax" />
		<chkbyte value="0,4,,4F676753" />
		<ext value=".ogg" />
	</filter>
	<filter
		enable="1"
		name="QQ DC_BASS Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="DCBassSource.ax"
		clsid="{ABE7B1D9-4B3E-4ACD-A0D1-92611D3A4492}" >
		<chkbyte value="0,4,,664c6143" />
		<chkbyte value="0,4,,4d414320" />
		<chkbyte value="0,4,,7776706b" />
		<ext value=".ape" />
		<ext value=".flac" />
		<ext value=".tta" />
		<ext value=".alac" />
		<ext value=".m4a" />
		<ext value=".aac" />
		<ext value=".wv" />
	</filter>
	<filter
		enable="0"
		name="QQ DC_BASS WAV Source Filter"
		fgftype="file" priority="8"
		filtertype="src"
		path="DCBassSource.ax"
		clsid="{ABE7B1D9-4B3E-4ACD-A0D1-92611D3A4492}" >
		<chkbyte value="0,4,,52494646,8,4,,57415645" />
		<ext value=".wav" />
	</filter>
	<filter
		enable="1"
		name="QQ DC_BASS MP3 Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="DCBassSource.ax"
		clsid="{ABE7B1D9-4B3E-4ACD-A0D1-92611D3A4492}" >
		<chkbyte value="0,2,FFE0,FFE0" />
		<chkbyte value="0,10,FFFFFF00000080808080,49443300000000000000" />
		<ext value=".mp3" />
	</filter>
	<filter
		enable="1"
		name="QQ PMP Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="PmpSplt.ax"
		clsid="{E117D42B-839C-498A-95DA-647BC90E2B8F}" >
		<chkbyte value="0,4,,706D706D" />
		<ext value=".pmp" />
	</filter>
	<filter
		enable="1"
		name="QQ qasf_sys Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		minishield="1"
		path="wm\\qasf.dll"
		clsid="{187463A0-5BB7-11d3-ACBE-0080C75E246E}" >
		<chkbyte value="0,4,,3026B275" />
		<chkbyte value="0,4,,D129E2D6" />
		<protocol value="http" />
		<protocol value="mms" />
		<protocol value="rtsp" />
	</filter>
	<filter
		enable="1"
		name="SYS qasf_sys Source Filter"
		fgftype="reg" priority="5"
		regdepend="1"
		path="qasf.dll"
		filtertype="src"
		clsid="{187463A0-5BB7-11d3-ACBE-0080C75E246E}" >
		<chkbyte value="0,4,,3026B275" />
		<chkbyte value="0,4,,D129E2D6" />
		<protocol value="http" />
		<protocol value="mms" />
	</filter>
	<filter
		enable="1"
		name="QQ TxNet Reader"
		fgftype="file" priority="9"
		filtertype="src"
		path="TxNetReader.ax"
		clsid="{733B6B53-DE8E-4fbb-B055-9C396EE2A135}" >
		
		<protocol value="qqxf" />
		<protocol value="http" />
	</filter>
	<filter
		enable="1"
		name="Gabest (MatroskaSplitter.ax)"
		fgftype="file" priority="10"
		filtertype="src"
		path="MatroskaSplitter.ax"
		config="1"
		clsid="{0A68C3B5-9164-4a54-AFAF-995B2FF0E0D4}" >
		<chkbyte value="0,4,,1A45DFA3" />
	</filter>
	<filter
		enable="1"
		name="Gabest (MatroskaSplitter.ax)"
		fgftype="file" priority="10"
		filtertype="splt"
		path="MatroskaSplitter.ax"
		config="1"
		clsid="{149D2E01-C32E-4939-80F6-C07B81015A7A}" >
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
	</filter>
	<filter
		enable="1"
		protect="1"
		name="QQ cdxa Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="cdxareader.ax"
		clsid="{D367878E-F3B8-4235-A968-F378EF1B9A44}" >
		<chkbyte value="0,4,,52494646,8,4,,43445841" />
	</filter>
	<filter
		enable="1"
		name="QQ AMR Reader"
		fgftype="file" priority="10"
		filtertype="src"
		path="TxAmrSplitter.ax"
		clsid="{ABE7D5A7-E1A7-4c6b-BA64-3D12DFD2C418}" >
		<chkbyte value="0,5,,2321414D52" />
	</filter>
	<filter
		enable="1"
		name="QQ WAVE Reader"
		fgftype="file" priority="10"
		filtertype="src"
		path="TxWavSplitter.ax"
		clsid="{AFE64ED2-DEB9-4be1-9C3F-71A3831E7DF2}" >
		<chkbyte value="0,4,,52494646,8,4,,57415645" />
	</filter>
	<filter
		enable="1"
		name="QQ cda Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="cddareader.ax"
		clsid="{54A35221-2C8D-4a31-A5DF-6D809847E393}" >
		<ext value=".cda" />
	</filter>
	<filter
		enable="1"
		name="IVM Source Filter"
		fgftype="file" priority="5"
		filtertype="src"
		path="IVMSource.ax"
		clsid="{6B8CF995-434B-49D3-856A-2AC9B16539A8}" >
		<chkbyte value="0,8,,643429D1D694C24A" />
		<ext value=".ivm" />
	</filter>
	<filter
		enable="1"
		name="Rad Game Tools Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="RadGtSplitter.ax"
		clsid="{6B97CB13-A992-4970-8864-4F32E845B7B4}" >
		<chkbyte value="0,3,,534D4B" />
		<chkbyte value="0,3,,42494B" />
		<ext value=".bik" />
		<ext value=".smk" />
	</filter>
	<filter
		enable="0"
		external="1"
		name="CSF Source Filter (MPC)"
		fgftype="file" priority="5"
		filtertype="src"
		path="mpc_mxsource.dll"
		clsid="{C8B9C208-9E5C-4F09-AED5-B21A273C4CCA}" >
		<chkbyte value="0,4,,B854037E" />
		<ext value=".csf" />
	</filter>
	<filter
		enable="1"
		external="1"
		name="Hikvision File Source"
		fgftype="file" priority="1"
		filtertype="src"
		path="HikFileSource.ax"
		clsid="{78B72865-0881-4A25-A0C4-A750EA28C297}" >
		<chkbyte value="0,4,,34484B48" />
	</filter>
	<filter
		enable="1"
		external="1"
		name="Chipnuts MP4(C625) Source Filter"
		fgftype="file" priority="10"
		filtertype="src"
		path="ChpSrcFilter.ax"
		clsid="{1B811185-2671-4990-B4AE-8DBB0E87EAF0}" >
		<chkbyte value="17,4,,63363235" />
		<chkbyte value="0,4,,434D5034" />
		<chkbyte value="0,4,,434D5034,8,8,,636869706E757473" />
	</filter>
	<filter
		enable="1"
		name="SYS Async File Reader"
		fgftype="reg" priority="9"
		filtertype="src"
		clsid="{e436ebb5-524f-11ce-9f53-0020af0ba770}" >
	</filter>
	<filter 
		enable="1" 
		name="ffparser"
		fgftype="file" priority="8"
		filtertype="src" 
		path="ffparser.ax"
		clsid="{D5BD8C04-84F6-4e80-ABBC-297439E8A622}" >
    </filter>
    <filter 
		enable="1" 
		name="Elecard MPEG Demultiplexer"
		fgftype="file" priority="10"
		filtertype="splt" 
		path="empgdmx.ax"
		clsid="{136DCBF5-3874-4B70-AE3E-15997D6334F7}" >
		<ext value=".dvr" />
	</filter>
	<filter
		enable="1"
		name="txtakparser"
		fgftype="file" priority="10"
		filtertype="src"
		path="txtakparser.ax"
		clsid="{1D554395-E2AF-4939-A5FE-70D491ED0959}" >
		<components value="tak_deco_lib.dll" />
		<ext value=".tak" />
	</filter>
	<filter 
		enable="1" 
		name="Xunlei Digital Video Source Filter"
		fgftype="file" priority="10"
		filtertype="src" 
		path="xlvsource.ax"
		clsid="{48DE0A29-AF5C-4FA5-864E-CB8A2D17D1B8}" >
		<components value="xlvdrm.dll" />
		<ext value=".xlmv" />
		<chkbyte value="0,4,,584C4456" />
	</filter>
	<!-- For HD moive Hardware Video Acceleration -->
	<filter
		enable="1"
		name="Haali Media Splitter"
		fgftype="haali" priority="5"
		filtertype="src"
		path="splitter.ax"
		config="1"
		clsid="{55DA30FC-F16B-49FC-BAA5-AE59FC65F82D}" >
		<!-- components -->
		<components value="avi.dll" />
		<components value="mkx.dll" />
		<components value="mp4.dll" />
		<components value="ogm.dll" />
		<components value="ts.dll" />
		<components value="splitter.ax" />
		<!-- AVI container -->
		<chkbyte value="0,4,,52494646,8,4,,41564920" />
		<chkbyte value="0,4,,52494646,8,4,,41564958" />
		<!-- Mpeg container -->
		<!-- <chkbyte value="116,1,,47,304,1,,47,492,1,,47" /> -->
		<!-- <chkbyte value="128,1,,47,316,1,,47,504,1,,47" /> -->
		<chkbyte value="0,16,FFFFFFFFF100010001800001FFFFFFFF,000001BA2100010001800001000001BB" />
		<chkbyte value="0,4,,54467263,1660,1,,47" />
		<chkbyte value="0,8,fffffc00ffe00000,4156000055000000" />
		<chkbyte value="0,5,FFFFFFFFC0,000001BA40" />
		<!-- MP4 container -->
		<chkbyte value="4,4,,66747970" />
		<chkbyte value="4,4,,6d6f6f76" />
		<chkbyte value="4,4,,6d646174" />
		<chkbyte value="4,4,,736b6970" />
		<chkbyte value="4,12,ffffffff00000000ffffffff,77696465027fe3706d646174" />
		<chkbyte value="3,3,,000001" />
		<ext value=".mov" />
		<!-- MKV container -->
		<chkbyte value="0,4,,1A45DFA3" />
	</filter>
	<filter
		enable="1"
		name="Haali Media Splitter"
		fgftype="haali" priority="11"
		filtertype="src"
		path="splitter.ax"
		config="1"
		clsid="{55DA30FC-F16B-49FC-BAA5-AE59FC65F82D}" >
		<components value="mkx.dll" />
		<components value="ts.dll" />
		<components value="splitter.ax" />
		<!-- Mpeg container -->
		<ext value=".evo" />
		<chkbyte value="0,1,,47,188,1,,47,376,1,,47" />
		<chkbyte value="4,1,,47,196,1,,47,388,1,,47" />
	</filter>

	<!-- splitter filters -->
	<filter
		enable="1"
		name="CLMPEG2 Demuxer (CLDemuxer.ax)"
		fgftype="file" priority="9"
		filtertype="splt"
		path="CLDemuxer.ax"
		config="1"
		clsid="{33F6948B-CFBA-4020-99F5-7071E833FD87}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_TRANSPORT" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_BDA_TRANSPORT" />
		<ext value=".ts" />
	</filter>
	<filter
		enable="1"
		name="MP4 Splitter"
		fgftype="file" priority="2"
		filtertype="splt"
		path="MP4Splitter.ax"
		clsid="{61F47056-E400-43D3-AF1E-AB7DFFD4C4AD}" >
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_NULL" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_TRANSPORT" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MP4" />
		<ext value=".ivm" />
		<ext value=".mp4" />
		<ext value=".mov" />
	</filter>
	<filter
		enable="1"
		name="QQ RealMedia Splitter"
		fgftype="file" priority="11"
		filtertype="splt"
		path="RealMediaSplitter.ax"
		clsid="{E21BE468-5C18-43EB-B0CC-DB93A847D769}" >
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
		<depend dll="RealMediaSplitter.ax" />
		<depend dll="pncrt.dll" />
		<depend dll="real\\drv2.dll" />
		<depend dll="real\\drvc.dll" />
		<depend dll="real\\14_43260.dll" />
		<depend dll="real\\28_83260.dll" />
		<depend dll="real\\atrc.dll" />
		<depend dll="real\\cook.dll" />
		<depend dll="real\\dnet3260.dll" />
		<depend dll="real\\raac.dll" />
		<depend dll="real\\ralf.dll" />
		<depend dll="real\\sipr.dll" />
	</filter>
	<filter
		enable="1"
		name="QQ FLV Splitter"
		fgftype="file" priority="10"
		filtertype="splt"
		path="FLVSplitter.ax"
		clsid="{47E792CF-0BBE-4F7A-859C-194B0768650A}" >
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
		<ext value=".flv" />
	</filter>
	<filter
		enable="1"
		protect="1"
		name="Nero Splitter"
		fgftype="file" priority="5"
		filtertype="splt"
		path="NeSplitter.ax"
		clsid="{A336CD3B-599C-4F70-A34D-E88EDE4B64C3}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_PROGRAM" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_TRANSPORT" />
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
		<ext value=".mpg" />
		<ext value=".vob" />
	</filter>
	<filter
		enable="1"
		protect="1"
		name="Gabest Mpeg Splitter (MpegSplitter.ax)"
        fgftype="file" priority="10"
		filtertype="splt"
		path="MpegSplitter.ax"
		clsid="{DC257063-045F-4BE2-BD5B-E12279C464F0}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1System" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_PROGRAM" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_TRANSPORT" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_PVA" />
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
		<ext value=".mpg" />
		<ext value=".vob" />
		<ext value=".ts"  />
	</filter>
	<filter
		enable="1"
		protect="1"
		name="QQ Mpa Splitter"
		fgftype="file" priority="5"
		filtertype="splt"
		path="MpaSplitter.ax"
		clsid="{0E9D4BF7-CBCB-46C7-BD80-4EF223A3DC2B}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1Audio" />
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
		<ext value=".mp3" />
	</filter>
	<filter
		enable="1"
		name="QQ OGG Splitter"
		fgftype="file" priority="10"
		filtertype="splt"
		path="OggSplitter.ax"
		clsid="{9FF48807-E133-40AA-826F-9B2959E5232D}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_Ogg" />
		<ext value=".ogg" />
	</filter>
	<filter
		enable="1"
		name="QQ PMP Splitter"
		fgftype="file" priority="10"
		filtertype="splt"
		path="PmpSplt.ax"
		clsid="{412C98D0-B46E-4FFA-92E1-4016782EE0AB}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_PMP" />
		<ext value=".pmp" />
	</filter>
	<filter
		enable="1"
		name="SYS mpeg-I Stream Splitter"
		protect="1"
		fgftype="reg" priority="10"
		filtertype="splt"
		clsid="{336475D0-942A-11CE-A870-00AA002FEAB5}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1Audio" />
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
		<ext value=".mp3" />
	</filter>
	<filter
		enable="1"
		name="SYS Wave Parser"
		fgftype="reg" priority="10"
		filtertype="splt"
		clsid="{D51BD5A1-7548-11CF-A520-0080C77EF58A}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_WAVE" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_AU" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_AIFF" />
		<ext value=".wav" />
		<ext value=".cda" />
	</filter>
	<filter
		enable="1"
		name="SYS AVI Splitter"
		fgftype="file" priority="10"
		filtertype="splt"
		regdepend="1"
		path="quartz.dll"
		clsid="{1B544C20-FD0B-11CE-8C63-00AA0044B51E}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_Avi" />
		<ext value=".avi" />
	</filter>
	<filter
		enable="1"
		name="Elecard MPEG2 Demultiplexer"
		fgftype="file" priority="3"
		path="mpeg2dmx.ax"
		filtertype="splt"
		config="1"
		clsid="{731B8592-4001-46D4-B1A5-33EC792B4501}" >
		<pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1Video" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1VideoCD" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1System" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_TRANSPORT" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG2_PROGRAM" />
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_MPEG1Audio" />
		<ext value=".m2v" />
		<ext value=".mpg" />
		<ext value=".vob" />
	</filter>
	<filter
		enable="1"
		name="SYS DV Splitter"
		fgftype="reg" priority="10"
		filtertype="splt"
		clsid="{4EB31670-9FC6-11CF-AF6E-00AA00B67A42}" >
		<pintype major="MEDIATYPE_Interleaved" sub="MEDIASUBTYPE_dvsd" />
		<pintype major="MEDIATYPE_Interleaved" sub="MEDIASUBTYPE_dvhd" />
		<pintype major="MEDIATYPE_Interleaved" sub="MEDIASUBTYPE_dvsl" />
	</filter>
	<filter
		enable="1"
		name="SYS MIDI Parser"
		fgftype="reg" priority="10"
		filtertype="splt"
		clsid="{D51BD5A2-7548-11CF-A520-0080C77EF58A}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIATYPE_Midi" />
		<ext value=".midi" />
	</filter>
	<filter
		enable="1"
		external="1"
		name="Hikvision File Splitter"
		fgftype="file" priority="10"
		filtertype="splt"
		path="HikFileSplitter.ax"
		clsid="{9AE308B2-1789-45D6-8473-1313E6E89F14}" >
		<pintype major="MEDIATYPE_HikStream" sub="MEDIATYPE_HikData" />
	</filter>
	<filter
		enable="1"
		name="MSV LPEC Splitter"
		fgftype="file" priority="10"
		filtertype="splt"
		path="lpecsp.ax"
		clsid="{7C22D94B-63DB-4300-8DF4-38C5A296E395}" >
		<pintype major="MEDIATYPE_Stream" sub="MEDIASUBTYPE_NULL" />
		<ext value=".msv" />
	</filter>

	<!-- video decoder filters -->
	<!-- CyberLink H.264/AVC Decoder(PDVD8) -->
	<filter
		enable="1"
		name="CL264 Decoder8 (CL264dec.ax)"
		fgftype="file" priority="5"
		filtertype="vdec"
		path="CL264dec.ax"
		config="1"
		clsid="{C16541FF-49ED-4DEA-9126-862F57722E31}" >
		<pintype major="MEDIATYPE_CLAVC0" sub="MEDIASUBTYPE_CLAVC" />
		<pintype major="MEDIATYPE_CLAVC1" sub="MEDIASUBTYPE_CLAVC" />
		<pintype major="MEDIATYPE_CLAVC2" sub="MEDIASUBTYPE_CLAVC" />
		<pintype major="MEDIATYPE_CLAVC3" sub="MEDIASUBTYPE_CLAVC" />
		<pintype major="MEDIATYPE_CLAVC4" sub="MEDIASUBTYPE_CLAVC" />
		<pintype major="MEDIATYPE_CLAVC5" sub="MEDIASUBTYPE_CLAVC" />
		<pintype major="MEDIATYPE_CLAVC6" sub="MEDIASUBTYPE_CLAVC" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_CLAVC" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_DAVC" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_AVC1" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VSSH" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_H264" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_x264" />
	</filter>

	<!-- CyberLink Video/SP Decoder(PDVD8) -->
	<filter
		enable="1"
		name="CLVSD Decoder8 (CLVsd.ax)"
		fgftype="file" priority="5"
		filtertype="vdec"
		path="CLVsd.ax"
		config="1"
		clsid="{37991D68-42A3-40E3-8C05-037170E1A42A}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG1Packet" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG1Payload" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_CLVIDSP0" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_CLVIDSP1" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_CLVIDSP2" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_CLVIDSP3" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_CLVIDSP4" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_CLVIDSP5" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
	</filter>
	<filter
		enable="1"
		name="CLVC-1 Decoder8 (CLVc1Dec.ax)"
		fgftype="file" priority="5"
		filtertype="vdec"
		path="CLVc1Dec.ax"
		config="1"
		clsid="{9EC248ED-333F-4A19-9CEC-5E6EB513290C}" >
		<pintype major="MEDIATYPE_Video"  sub="MEDIASUBTYPE_CLVC1" />
		<pintype major="MEDIATYPE_CLVC1_1" sub="MEDIASUBTYPE_CLVC1" />
		<pintype major="MEDIATYPE_CLVC1_2" sub="MEDIASUBTYPE_CLVC1" />
		<pintype major="MEDIATYPE_CLVC1_3" sub="MEDIASUBTYPE_CLVC1" />
		<pintype major="MEDIATYPE_CLVC1_4" sub="MEDIASUBTYPE_CLVC1" />
	</filter>
	<filter
		enable="1"
		name="MPCHC Decoder (MPCVideoDec.ax)"
		fgftype="file" priority="5"
		filtertype="vdec"
		path="MPCVideoDec.ax"
		config="1"
		clsid="{008BAC12-FBAF-497B-9670-BC6F6FBAE2C4}" >
		<!--<pintype major="MEDIATYPE_Video"  sub="MEDIASUBTYPE_MPEG2_VIDEO" />-->
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_H264" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_h264" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_X264" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_x264" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_DAVC" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_davc" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_PAVC" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_pavc" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VSSH" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_vssh" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_AVC1" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_avc1" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WVC1" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RV40" />
	</filter>
	<filter
		enable="1"
		name="MPCHC THEO Decoder (MPCVideoDec.ax)"
		fgftype="file" priority="11"
		filtertype="vdec"
		path="MPCVideoDec.ax"
		config="1"
		clsid="{008BAC12-FBAF-497B-9670-BC6F6FBAE2C4}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_THEO" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_theo" />
	</filter>
	<filter
		enable="0"
		name="NVIDIA Video Decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="nvviddec.ax"
		clsid="{71E4616A-DB5E-452B-8CA5-71D9CC7805E9}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
		<pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
	</filter>
	<filter
		enable="1"
		name="SYS MPEG Video Decoder"
		fgftype="reg" priority="10"
		filtertype="vdec"
		clsid="{FEB50740-7BEF-11CE-9BD9-0000E202599C}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG1Packet" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG1Payload" />
	</filter>
	<filter
		enable="1"
		name="QQ MPEG-1 Video Decoder"
		fgftype="file" priority="5"
		filtertype="vdec"
		path="Mpeg2DecFilter.ax"
		clsid="{39F498AF-1A09-4275-B193-673B0BA3D478}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG1Packet" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG1Payload" />
    </filter>
    <filter
    		enable="1"
    		name="Sys MPEG-1 Video Decoder"
    		fgftype="reg" priority="5"
    		filtertype="vdec"
    		clsid="{FEB50740-7BEF-11CE-9BD9-0000E202599C}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG1Packet" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG1Payload" />
    </filter>
    <filter
    		enable="1"
    		name="Gabest MPEG-2 Video Decoder (Mpeg2DecFilter.ax)"
    		fgftype="file" priority="10"
    		filtertype="vdec"
    		path="Mpeg2DecFilter.ax"
    		config="1"
    		clsid="{39F498AF-1A09-4275-B193-673B0BA3D478}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    </filter>
    <filter
		enable="1"
		name="QQ RealVideo Decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="RealMediaSplitter.ax"
		clsid="{238D0F23-5DC9-45A6-9BE2-666160C324DD}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RV10" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RV20" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RV30" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RV40" />
		<depend dll="RealMediaSplitter.ax" />
		<depend dll="pncrt.dll" />
		<depend dll="real\\drv2.dll" />
		<depend dll="real\\drvc.dll" />
		<depend dll="real\\14_43260.dll" />
		<depend dll="real\\28_83260.dll" />
		<depend dll="real\\atrc.dll" />
		<depend dll="real\\cook.dll" />
		<depend dll="real\\dnet3260.dll" />
		<depend dll="real\\raac.dll" />
		<depend dll="real\\ralf.dll" />
		<depend dll="real\\sipr.dll" />
    </filter>
	<filter
		enable="1"
		protect="1"
		name="QQ Video DMO Wrapper Filter"
		fgftype="file" priority="5"
		filtertype="vdec"
		path="DmoWrapperFilter.ax"
		minishield="1"
		clsid="{BBDC0A0C-83D3-4fc2-B2CC-86E2D9006433}" >
		<pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_MSS1" />
		<pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_MSS2" />
		<pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_WMV1" />
		<pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_WMV2" />
		<pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_WMV3" /> 
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WMVA" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WVC1" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WMVR" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WMVP" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WVP2" />
	</filter>
	<filter
		enable="1"
		name="MS AVI Decompressor part1"
		fgftype="avidec" priority="10"
		filtertype="vdec"
		regdepend="1"
		path="quartz.dll"
		clsid="{CF49D4E0-1115-11CE-B03A-0020AF0BA770}"
		downloadclsid = "{0690E843-5F88-47e7-9897-97E058E35B03}">
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_FPS1" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VMnc" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_CRAM" />
		<!--pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RLE8" /-->
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_ACDV" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_CSM0" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MSVC" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_PVW2" />
		<driver name="VIDC.FPS1" dll="frapsvid.dll" desc="Fraps Video Decompressor" />
		<driver name="VIDC.VMnc" dll="vmnc.dll" desc="VMnc lossless codec [VMnc]" />
		<driver name="VIDC.ACDV" dll="ACDV.dll" desc="ACD System Codec" />
		<driver name="VIDC.CSM0" dll="CSMX.dll" desc="CSMfyuv lossless codec [CSM0]" />
		<driver name="VIDC.PVW2" dll="PVWV220.DLL" desc="PICVideo Wavelet2000 Codec" />
	</filter>
	<filter
		enable="1"
		name="MS AVI Decompressor part2"
		fgftype="avidec" priority="10"
		filtertype="vdec"
		regdepend="1"
		path="quartz.dll"
		clsid="{CF49D4E0-1115-11CE-B03A-0020AF0BA770}"
		downloadclsid = "{B6EB31B6-900F-418b-BCAB-F874A6FFD57D}">
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_UCOD" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_FRWA" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_FRWD" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_FRWT" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_FRWU" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_CJPG" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_I263" />
		<driver name="VIDC.UCOD" dll="clrviddd.dll" desc="Clear Video" />
		<driver name="VIDC.UCOD" dll="clrviddc.dll" desc="Clear Video" addon="1" />
		<driver name="VIDC.FRWA" dll="frwt.dll" desc="Forward" />
		<driver name="VIDC.FRWD" dll="frwd.dll" desc="Forward" />
		<driver name="VIDC.FRWT" dll="frwd.dll" desc="Forward" />
		<driver name="VIDC.FRWU" dll="frwu.dll" desc="Forward" />
		<driver name="VIDC.CJPG" dll="CtWbJpg.DLL" desc="Creative Labs Video Blaster" />
		<driver name="VIDC.I263" dll="i263_32.drv" desc="Intel I.263 Video" />
	</filter>
	<filter
		enable="1"
		name="MS AVI Decompressor part3"
		fgftype="avidec" priority="10"
		filtertype="vdec"
		regdepend="1"
		path="quartz.dll"
		clsid="{CF49D4E0-1115-11CE-B03A-0020AF0BA770}"
		downloadclsid = "{3EB21B86-AC25-4f96-844D-2F8AB6DE14B0}">
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VP30" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_Xxan" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_FMVC" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_SMV2" />
		<driver name="VIDC.VP30" dll="vp31vfw.dll" desc="On2 Technologies" />
		<driver name="VIDC.Xxan" dll="xanlib.dll" />
		<driver name="VIDC.FMVC" dll="fmcodec.dll" desc ="FM Screen Capture Codec"/>
		<driver name="VIDC.SMV2" dll="smv2.dll" desc ="DideoNET SMV2 Codec"/>
	</filter>
	<filter
		enable="1"
		name="MS AVI Decompressor part4 Matrox Dec"
		fgftype="matroxdec" priority="10"
		filtertype="vdec"
		regdepend="1"
		path="quartz.dll"
		clsid="{CF49D4E0-1115-11CE-B03A-0020AF0BA770}"
		downloadclsid = "{8D7A1C6D-890F-4528-B68A-C320B67295C7}">
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MMES"/>
		<driver name="VIDC.MMES" dll="DigiVCap.DLL" desc="Matrox"/>
	</filter>

    <filter
		enable="1"
		name="QQ ffdshow xvid Video Decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="ffdshow.ax"
		clsid="{04FE9017-F873-410E-871E-AB91661A4EF7}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_XVID" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_xvid" />
	</filter>
	<filter
		enable="1"
		name="QQ ffdshow divx Video Decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="ffdshow.ax"
		clsid="{04FE9017-F873-410E-871E-AB91661A4EF7}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_DIVX" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_divx" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_DIV3" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_div3" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_DX50" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_dx50" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_2IV2" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_2iv2" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_3IV2" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_3iv2" />
	</filter>
	<filter
		enable="1"
		name="QQ ffdshow mpeg4 Video Decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="ffdshow.ax"
		clsid="{04FE9017-F873-410E-871E-AB91661A4EF7}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MP43" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_mp43" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MP42" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_mp42" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MP41" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_mp41" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MP4V" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_mp4v" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MP4S" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_mp4s" />
	</filter>
	<filter
		enable="1"
		name="QQ ffdshow h263 Video Decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="ffdshow.ax"
		clsid="{04FE9017-F873-410E-871E-AB91661A4EF7}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_H263" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_h263" />
	</filter>
	<filter
		enable="1"
		name="QQ ffdshow QT Video Decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="ffdshow.ax"
		clsid="{04FE9017-F873-410E-871E-AB91661A4EF7}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_QTRle" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_QTSmc" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_QTQpza" />
	</filter>
	<filter
		enable="1"
		name="QQ ffdshow more Video Decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="ffdshow.ax"
		clsid="{04FE9017-F873-410E-871E-AB91661A4EF7}" >
		<pintype major="MEDIATYPE_Video" sub="TIME_FORMAT_NONE" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_AMVV" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_THEO" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_CRAM" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MJPG" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_BLZ0" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VP31" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RV10" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_tscc" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_IV32" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_410P" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_mjpb" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RLE4" />
	</filter>
	<filter
		enable="1"
		name="coreavc Decoder (CoreAVC.ax)"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="CoreAVC.ax"
		config="1"
		clsid="{09571A4B-F1FE-4C60-9760-DE6D310C7C31}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_H264" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_h264" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_AVC1" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_avc1" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_X264" />
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_x264" />
	</filter>
	<filter
		enable="1"
		name="Indeo video 4 decoder"
		fgftype="file" priority="10"
		filtertype="vdec"
		path="ir41_32.ax"
		clsid="{31345649-0000-0010-8000-00AA00389B71}" >
		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_IV41" />
    </filter>
    <filter
    		enable="1"
    		name="Indeo video 5 decoder"
    		fgftype="file" priority="10"
    		filtertype="vdec"
            path="ir50_32.dll" 
    		clsid="{30355649-0000-0010-8000-00AA00389B71}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_IV50" />
    </filter>
    <filter
        enable="1"
        name="SYS DV Video Decoder"
        fgftype="reg" priority="10"
        filtertype="vdec"
        clsid="{B1B77C00-C3E4-11CF-AF79-00AA00B67A42}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_dvsd" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_dvc" />
    </filter>
    <filter
    		enable="1"
    		name="On2 VP6 Decompressor"
    		fgftype="file" priority="10"
    		filtertype="vdec"
    		path="vp6dec.ax"
    		clsid="{01CFC007-C263-420A-80DC-2988DA4C6105}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VP60" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VP61" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VP62" />
    </filter>
    <filter
    		enable="1"
    		name="On2 VP7 Decompressor"
    		fgftype="file" priority="10"
    		filtertype="vdec"
    		path="vp7dec.ax"
    		clsid="{C204438D-6E1A-4309-B09C-0C0F749863AF}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VP70" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VP71" />
    </filter>
    <filter
    		enable="1"
    		name="WebM VP8 Decoder Filter"
    		fgftype="file" priority="10"
    		filtertype="vdec"
    		path="vp8decoder.dll"
    		clsid="{ED3110F3-5211-11DF-94AF-0026B977EEAA}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_VP80" />        
    </filter>

    <filter
    		enable="1"
    		external="1"
    		name="Hikvision H.264 Deocder"
    		fgftype="file" priority="10"
    		filtertype="vdec"
    		path="HikH264Dec.ax"
    		clsid="{B0BAE064-8393-4A11-967B-977D580BDF17}" >
        <pintype major="MEDIATYPE_HikStream" sub="MEDIASUBTYPE_HikVid264" />
    </filter>
    <filter
    		enable="1"
    		name="TTL2 Decompressor"
    		fgftype="file" priority="10"
    		filtertype="vdec"
    		path="TTL2DecodeFilter.dll"
    		clsid="{BDE0D9DF-288F-4286-906F-93197673B3A7}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_TTL2" />
    </filter>

    <!-- Windows Media DMO Filters -->
    <filter
    		enable="1"
    		name="SYS WMVideo Decoder DMO"
    		fgftype="dmo" priority="10"
    		filtertype="vdec"
    		config="1"
    		wrapperpath="wm\\qasf.dll"
    		dmopath="wm\\WMVDECOD.dll"
    		wrapperid="{94297043-BD82-4DFD-B0DE-8177739C6D20}"
    		clsid="{82D353DF-90BD-4382-8BC2-3F6192B76E34}"
    		catid="{4a69b442-28be-4991-969c-b500adf5d8a8}" >
        <pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_WMV1" />
        <pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_WMV2" />
    		<pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_WMV3" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WMVA" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WVC1" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WMVR" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WMVP" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WVP2" />
    </filter>
    <filter
    		enable="1"
    		name="SYS WMV Screen decoder DMO"
    		fgftype="dmo" priority="10"
    		filtertype="vdec"
    		wrapperpath="wm\\qasf.dll"
    		dmopath="wm\\wmsdmod.dll"
    		wrapperid="{94297043-BD82-4DFD-B0DE-8177739C6D20}"
    		clsid="{7BAFB3B1-D8F4-4279-9253-27DA423108DE}"
    		catid="{4a69b442-28be-4991-969c-b500adf5d8a8}" >
        <pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_MSS1" />
        <pintype major="MEDIATYPE_Video" sub="WMMEDIASUBTYPE_MSS2" />
    </filter>
    <filter
    		enable="1"
    		name="SYS WMAudio Decoder DMO"
    		fgftype="dmo" priority="10"
    		filtertype="adec"
    		wrapperpath="wm\\qasf.dll"
    		dmopath="wm\\wmadmod.dll"
    		wrapperid="{94297043-BD82-4DFD-B0DE-8177739C6D20}"
    		clsid="{2EEB4ADF-4578-4D10-BCA7-BB955F56320A}"
    		catid="{4a69b442-28be-4991-969c-b500adf5d8a8}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_FmtTag0x0160" />
        <pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_WMAudioV8" />
        <pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_WMAudioV9" />
        <pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_WMAudio_Lossless" />
    </filter>
    <filter
    		enable="1"
    		name="SYS WMA Speech decoder DMO"
    		fgftype="dmo" priority="10"
    		filtertype="adec"
    		wrapperpath="wm\\qasf.dll"
    		dmopath="wm\\wmspdmod.dll"
    		wrapperid="{94297043-BD82-4DFD-B0DE-8177739C6D20}"
    		clsid="{874131CB-4ECC-443B-8948-746B89595D20}"
    		catid="{4a69b442-28be-4991-969c-b500adf5d8a8}" >
        <pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_WMSP1" />
    </filter>

	<filter
			enable="1"
			name="Sys Video Decrypter And Detagger Filter"
			fgftype="reg" priority="10"
			filtertype="vdec"
			clsid="{C4C4C4F2-0049-4E2B-98FB-9537F6CE516D}" >
			<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_ETDTFilter_Tagged" />
    </filter>
	
    <!-- audio decoder filters -->
    <filter
    		enable="1"
    		name="QQ MPEG-1 Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="MpaDecFilter.ax"
    		clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MP3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MPEG1AudioPayload" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MPEG1Payload" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MPEG1Packet" />
    </filter>
    <filter
    		enable="1"
    		name="Gabest MPEG-2 Decoder (MpaDecFilter.ax)"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		preload="1"
    		config="1"
    		path="MpaDecFilter.ax"
    		clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
    </filter>
    <filter
    		enable="1"
    		name="Gabest LPCM Decoder (MpaDecFilter.ax)"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		config="1"
    		path="MpaDecFilter.ax"
    		clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
    </filter>
    <filter
    		enable="0"
    		name="ffdshow EAC3 Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVE_DOLBY_AC3" />
    </filter>
    <filter
    		enable="1"
    		name="Sonic EAC3 Audio Decoder"
    		fgftype="file" priority="5"
    		filtertype="adec"
    		config="1"
    		path="CinemasterAudio.dll"
    		clsid="{9F062738-CD84-4F54-A3C4-BD5EB44F416B}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVE_DOLBY_AC3" />
    </filter>
    <filter
    		enable="1"
    		name="Gabest AC3 Decoder (MpaDecFilter.ax)"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		config="1"
    		path="MpaDecFilter.ax"
    		clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ac_3" />
    </filter>
    <filter
    		enable="1"
    		name="Gabest DTS Decoder (MpaDecFilter.ax)"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		config="1"
    		path="MpaDecFilter.ax"
    		clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DTS" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_DTS" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DTS" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DTS" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVE_DTS" />
    </filter>
    <filter
    		enable="1"
    		name="QQ AAC Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="MpaDecFilter.ax"
    		clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_AAC" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_AAC" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_AAC" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_AAC" />
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_MP4A" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_MP4A" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_MP4A" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MP4A" />
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_mp4a" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_mp4a" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_mp4a" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_mp4a" />
    </filter>
    <filter
        enable="1"
        name="CoreAAC Audio Decoder"
        fgftype="file" priority="11"
        filtertype="adec"
        path="CoreAAC.ax"
        clsid="{6AC7C19E-8CA0-4E3D-9A9F-2881DE29E0AC}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_AAC" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MP4A" />
    </filter>
    <filter
    		enable="1"
    		name="QQ PS2 Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="MpaDecFilter.ax"
    		clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_PS2_PCM" />
        <pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_PS2_PCM" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_PS2_PCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_PS2_PCM" />
    </filter>
    <filter
    		enable="1"
    		name="QQ Vorbis Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="MpaDecFilter.ax"
    		clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_Vorbis" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_Vorbis2" />
    </filter>
    <filter
		enable="1"
		name="QQ RealAudio Decoder"
		fgftype="file" priority="10"
		filtertype="adec"
		path="RealMediaSplitter.ax"
		clsid="{941A4793-A705-4312-8DFC-C11CA05F397E}" >
		<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_14_4" />
		<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_28_8" />
		<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ATRC" />
		<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_COOK" />
		<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DNET" />
		<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SIPR" />
		<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_RAAC" />
		<depend dll="RealMediaSplitter.ax" />
		<depend dll="pncrt.dll" />
		<depend dll="real\\drv2.dll" />
		<depend dll="real\\drvc.dll" />
		<depend dll="real\\14_43260.dll" />
		<depend dll="real\\28_83260.dll" />
		<depend dll="real\\atrc.dll" />
		<depend dll="real\\cook.dll" />
		<depend dll="real\\dnet3260.dll" />
		<depend dll="real\\raac.dll" />
		<depend dll="real\\ralf.dll" />
		<depend dll="real\\sipr.dll" />
    </filter>
    <filter
		enable="1"
		name="QQ Audio DMO Wrapper Filter"
		fgftype="file" priority="5"
		filtertype="adec"
		path="DmoWrapperFilter.ax"
		minishield="1"
		clsid="{D6FCB6C4-20D8-4253-9C9F-F1D66D6EFAA6}" >
		<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_FmtTag0x0160" />
		<pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_WMAudioV8" />
		<pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_WMAudioV9" />
		<pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_WMAudio_Lossless" />
		<pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_WMSP1" />
    </filter>
    <filter
		enable="1"
		name="QQ AcelptNet Audio Decoder"
		fgftype="file" priority="10"
		filtertype="adec"
		path="acelpdec.ax"
		clsid="{4009F700-AEBA-11D1-8344-00C04FB92EB7}" >
		<pintype major="MEDIATYPE_Audio" sub="WMMEDIASUBTYPE_ACELPNET_0x130" />
    </filter>
    <filter
    		enable="1"
    		name="QQ ffdshow Nelly Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_NELLYMOSER" />
    </filter>
    <filter
    		enable="1"
    		name="QQ ffdshow MS-PCM Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MS_PCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MS_alaw" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MS_mulaw" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_GSM610" />
    </filter>
    <filter
    		enable="1"
    		name="QQ ffdshow QT-PCM Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_RAW" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_sowt" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SOWT" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_twos" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_TWOS" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_IN32" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_in32" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_IN24" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_in24" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_FL32" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_fl32" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_FL64" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_fl64" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_alaw" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ulaw" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ULAW" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_QT_ULAW" />
    </filter>
    <filter
    		enable="1"
    		name="QQ ffdshow ADPCM Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MSADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_CREATIVE_ADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_YAMAHA_ADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_OKI_ADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DVI_ADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_IMA_ADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MEDIASPACE_ADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SIERRA_ADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_G723_ADPCM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_G726" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_G723" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_IMA_WAV" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_IMA_DK3" />
    </filter>
    <filter
    		enable="1"
    		name="QQ ffdshow More QuickTime Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_qdm2" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_QDM2" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_alac" />
    </filter>
    <filter
    		enable="1"
    		name="QQ ffdshow AAC Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_AAC1" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_AAC2" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_AAC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_AAC4" />
    </filter>
    <filter
    		enable="1"
    		name="QQ ffdshow amr Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_AMR" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SAMR" />
    </filter>
    <filter
    		enable="1"
    		name="QQ ffdshow More Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="ffdshow.ax"
    		clsid="{0F40E1E5-4F79-4988-B1A9-CC98794E6B55}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_AMVA" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_FLAC" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_FLAC_FRAMED" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_IMA4" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ima4" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ac_3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ASWF" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_sawb" />
    </filter>
    <filter
    		enable="1"
    		name="AC3Filter For MPEG2 Audio (ac3filter.ax)"
    		fgftype="file" priority="5"
    		filtertype="adec"
    		path="ac3filter.ax"
    		config="1"
    		clsid="{A753A1EC-973E-4718-AF8E-A3F554D45C44}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_MPEG2_AUDIO" />
    </filter>
    <filter
    		enable="1"
    		name="InterVideo Audio Decoder For LPCM Audio (iviaudio.ax)"
    		fgftype="file" priority="5"
    		filtertype="adec"
    		path="iviaudio.ax"
    		clsid="{7E2E0DC1-31FD-11D2-9C21-00104B3801F6}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
    </filter>
    <filter
    		enable="1"
    		name="AC3Filter For LPCM Audio (ac3filter.ax)"
    		fgftype="file" priority="5"
    		filtertype="adec"
    		config="1"
    		path="ac3filter.ax"
    		clsid="{A753A1EC-973E-4718-AF8E-A3F554D45C44}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DVD_LPCM_AUDIO" />
    </filter>
    <filter
    		enable="1"
    		name="AC3Filter For AC3 Audio (ac3filter.ax)"
    		fgftype="file" priority="5"
    		filtertype="adec"
    		config="1"
    		path="ac3filter.ax"
    		clsid="{A753A1EC-973E-4718-AF8E-A3F554D45C44}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVE_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SPDIF_DOLBY_AC3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ac_3" />
    </filter>
    <filter
    		enable="1"
    		name="AC3Filter For DTS Audio (ac3filter.ax)"
    		fgftype="file" priority="5"
    		filtertype="adec"
    		path="ac3filter.ax"
    		config="1"
    		clsid="{A753A1EC-973E-4718-AF8E-A3F554D45C44}" >
        <pintype major="MEDIATYPE_DVD_ENCRYPTED_PACK" sub="MEDIASUBTYPE_DTS" />
        <pintype major="MEDIATYPE_MPEG2_PES" sub="MEDIASUBTYPE_DTS" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_DTS" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVE_DTS" />
    </filter>
    <filter
    		enable="1"
    		name="SYS ACM Wrapper"
    		fgftype="reg" priority="10"
    		filtertype="adec"
    		clsid="{6A08CF80-0E18-11CF-A24D-0020AFD79767}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ACM" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_TrueSpeech" />
    </filter>
    <filter
    		enable="1"
    		external="1"
    		name="Hikvision G722 Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="HikG722Dec.ax"
    		clsid="{42819CB2-2B7D-46D6-B3F5-75C4DD74F3B0}" >
        <pintype major="MEDIATYPE_HikStream" sub="MEDIASUBTYPE_HikAudG722" />
    </filter>
    <filter
    		enable="1"
    		external="1"
    		name="Voxware MetaSound Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="voxmsdec.ax"
    		clsid="{73F7A062-8829-11D1-B550-006097242D8D}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_VOXWARE" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_VOXWARE_BYTE_ALIGNED" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_VOXWARE_RT29" />
    </filter>
    <filter
    		enable="1"
    		external="0"
    		name="WavPack Audio DirectShow Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="WavPackDSDecoder.ax"
    		clsid="{4B420C26-B393-48B3-8A84-BC60827689E8}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WAVPACK4" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_WavPackPrivate1" />
    </filter>
    <filter
    		enable="1"
    		external="1"
    		name="True Audio Decoder"
    		fgftype="file" priority="10"
    		filtertype="adec"
    		path="TTADSDecoder.ax"
    		clsid="{680EF885-41CF-4F81-AA06-B724BC963A31}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_TTA1" />
    </filter>

	<filter
			enable="1"
			name="Sys Audio Decrypter And Detagger Filter "
			fgftype="reg" priority="10"
			filtertype="adec"
			clsid="{C4C4C4F2-0049-4E2B-98FB-9537F6CE516D}" >
			<pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_ETDTFilter_Tagged" />
    </filter>
    <filter
        enable="1"
        name="Sony LPEC Decoder"
        fgftype="file" priority="5"
        filtertype="adec"
        path="lpecde.ax"
        clsid="{7C22D94B-63DB-4300-8DF4-38C5A296E396}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_NULL" />
    </filter>
	
    <!-- video effect filters -->
    <filter
    		enable="1"
    		name="QQ VobSub Filter"
    		fgftype="file" priority="10"
    		filtertype="veffect"
    		preload="1"
    		path="VSFilter.ax"
    		clsid="{9852A670-F845-491b-9BE6-EBD841B8A613}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_NULL" />
        <pintype major="MEDIATYPE_Subtitle" sub="MEDIASUBTYPE_NULL" />
    </filter>

    <!-- audio effect filters -->
    <filter
    		enable="1"
    		name="QQ Audio Switcher"
    		fgftype="file" priority="10"
    		filtertype="aeffect"
    		preload="1"
    		path="audioswitcher.ax"
    		clsid="{18C16B08-6497-420e-AD14-22D21C2CEAB7}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_NULL" />
    </filter>

    <!-- video render filters -->
    <!-- audio render filters -->
    <filter
    		enable="1"
    		name="QQ Default DirectSound Device"
    		fgftype="reg" priority="10"
    		filtertype="arender"
    		preload="1"
    		path="quartz.dll"
    		clsid="{79376820-07D0-11CF-A24D-0020AFD79767}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_NULL" />
    </filter>
    <filter
    		enable="1"
    		name="QQ Default WaveOut Device"
    		fgftype="reg" priority="5"
    		filtertype="arender"
    		path="quartz.dll"
    		clsid="{E30629D1-27E5-11CE-875D-00608CB78066}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_NULL" />
    </filter>

    <!-- Rare media format codec -->
    <filter
				enable="1"
				external="1"
				name="SVM Media Splitter"
				fgftype="file" priority="10"
				filtertype="rarecodec"
				path="scmpack.dll"
				clsid="{8953D140-377E-4741-8B15-160BDEA61E1F}" >
        <pintype major="MEDIATYPE_Stream" sub="GUID_NULL" />
        <ext value=".scm" />
    </filter>
    <filter
        enable="1"
        external="1"
        name="SMV Media Video(R) Decoder"
        fgftype="file" priority="10"
        filtertype="rarecodec"
        path="scmpack.dll"
        clsid="{FF9DED59-66E1-45D6-B1E6-7F578DABEB8A}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_SMVVideo0" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_SMVVideo1" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_SMVVideo2" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_SMVVideo3" />
    </filter>
    <filter
        enable="1"
        external="1"
        name="SMV Media Video(F) Decoder"
        fgftype="file" priority="10"
        filtertype="rarecodec"
        path="scmpack.dll"
        clsid="{E06A4587-E618-448C-89EC-298D3F4AEFE8}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_NULL" />
    </filter>
    <filter
        enable="1"
        external="1"
        name="SMV Media Video(X) Decoder"
        fgftype="file" priority="10"
        filtertype="rarecodec"
        path="scmpack.dll"
        clsid="{DAA7C58F-A75F-4761-9938-4A178AEDF828}" >
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_NULL" />
    </filter>
    <filter
        enable="1"
        external="1"
        name="SMV Media Audio(R) Decoder"
        fgftype="file" priority="10"
        filtertype="rarecodec"
        path="scmpack.dll"
        clsid="{DCFFF152-3013-41F7-A63F-7C18643BDF99}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR0" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR1" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR2" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR4" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR5" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR6" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR7" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioR8" />
    </filter>
    <filter
        enable="1"
        external="1"
        name="SMV Media Audio(A) Decoder"
        fgftype="file" priority="10"
        filtertype="rarecodec"
        path="scmpack.dll"
        clsid="{3D446B6F-71DE-4437-BE15-8CE47174340F}" >
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA0" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA1" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA2" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA3" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA4" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA5" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA6" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA7" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA8" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA9" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA10" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA11" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA12" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA13" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA14" />
        <pintype major="MEDIATYPE_Audio" sub="MEDIASUBTYPE_SMVAudioA15" />
    </filter>
    <filter
    		enable="1"
    		external="1"
    		name="SMV Media Video DSP Color"
    		fgftype="file" priority="5"
    		filtertype="rarecodec"
    		path="scmpack.dll"
    		clsid="{F683B0C4-AF99-4B62-87B1-947C1075EF4F}" >
        <pintype major="GUID_NULL" sub="GUID_NULL" />
        <pintype major="MEDIATYPE_Video" sub="GUID_NULL" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_YUY2" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_YV12" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_I420" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_IYUV" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RGB32" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RGB565" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RGB555" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RGB24" />
    </filter>
    <filter
    		enable="1"
    		external="1"
    		name="SMV Media Video DSP Effect"
    		fgftype="file" priority="5"
    		filtertype="rarecodec"
    		path="scmpack.dll"
    		clsid="{4BC8F1AF-6E17-4727-BF71-624522BC4088}" >
        <pintype major="GUID_NULL" sub="GUID_NULL" />
        <pintype major="MEDIATYPE_Video" sub="GUID_NULL" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_YUY2" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_YV12" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_I420" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_IYUV" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RGB32" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RGB565" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RGB555" />
        <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_RGB24" />
    </filter>
    <filter
        enable="1"
        external="1"
        name="SMV Media Audio Switch"
        fgftype="file" priority="5"
        filtertype="rarecodec"
        path="scmpack.dll"
        clsid="{98119FC1-A84E-49B6-9904-F14E74F0A0FE}" >
        <pintype major="MEDIATYPE_Audio" sub="GUID_NULL" />
    </filter>
    <filter
        enable="1"
        external="1"
        name="SMV Media Audio DSP"
        fgftype="file" priority="5"
        filtertype="rarecodec"
        path="scmpack.dll"
        clsid="{49EF6EB5-44BE-4239-8365-D676906306D6}" >
        <pintype major="MEDIATYPE_Audio" sub="GUID_NULL" />
    </filter>
    <filter 
    		enable="1" 
    		name="QQ CUDA Video Decoder(CUDADecFilter.ax)"
    		fgftype="file" priority="10"
    		filtertype="vdec" 
    		path="CUDADecFilter.ax"
    		config="1"
    		clsid="{7C5EDEC0-1A5E-472a-B507-35C435CB4B4B}" >
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_X264" /> 
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_x264" />  
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_h264" />
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_H264" />  
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_AVC1" />
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_avc1" /> 
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG2_VIDEO" />  
    		<pintype major="MEDIATYPE_MPEG2_PACK" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WVC1" />   			 
    </filter>
    <filter 
    		enable="1" 
    		name="ZMP5 Video Decoder(zmp5.ax)"
    		fgftype="file" priority="10"
    		filtertype="vdec" 
    		path="zmp5.ax"
    		clsid="{35706D7A-0000-0010-8000-00AA00389B71}" >
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_ZMP5" /> 	
    		<pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_zmp5" /> 		 
    </filter>

    <filter
    enable="1"
    name="Intel H264 HD Decoder"
    fgftype="file" priority="10"
    filtertype="vdec"
    path="h264_dec_filter.dll"
    clsid="{CCCE52FD-02CB-482C-AC81-1E55EF1D61EE}" >

      <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_H264" />
      <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_h264" />
      <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_AVC1" />
      <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_avc1" />
      <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_X264" />
      <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_x264" />
    </filter>
    <filter
      enable="1"
      name="Intel MPEG2 HD Decoder"
      fgftype="file" priority="10"
      filtertype="vdec"
      path="mpeg2_dec_filter.dll"
      clsid="{936E6340-19A8-4A58-92AE-695FD64B9418}" >

      <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_MPEG2_VIDEO" />
    </filter>

    <filter
      enable="1"
      name="Intel VC1 HD Decoder"
      fgftype="file" priority="10"
      filtertype="vdec"
      path="vc1_dec_filter.dll"
      clsid="{F58D5C1C-8EC7-4E74-B3A9-CED73B25F4A1}" >

      <pintype major="MEDIATYPE_Video" sub="MEDIASUBTYPE_WVC1" />

    </filter>

  <!-- END OF "FilterBase" -->
</FilterBase>
